Subject: Re: [PATCH 1/1] Checkpatch: coding style errors in Nvidia ethernet driver

From: Akshay Sarode <[email-masked]>
Date: Fri, 10 Oct 2014 22:15:15 +0530

On Fri, Oct 10, 2014 at 08:03:07AM -0700, Joe Perches wrote:
> On Fri, 2014-10-10 at 13:31 +0530, Akshay Sarode wrote:
> > ERROR: "foo* bar" should be "foo *bar"
> > ERROR: do not initialise statics to 0 or NULL
> > CHECK: spinlock_t definition without comment
> > Signed-off-by: Akshay Sarode <[email-masked]>
> []
> > diff --git a/drivers/net/ethernet/nvidia/forcedeth.c b/drivers/net/ethernet/nvidia/forcedeth.c
> []
> > @@ -911,12 +913,18 @@ enum {
> []
> >  /*
> >   * Debug output control for tx_timeout
> >   */
> > -static bool debug_tx_timeout = false;
> > +enum {
> > +	NV_DEBUG_TX_TIMEOUT_DISABLED,
> > +	NV_DEBUG_TX_TIMEOUT_ENABLED
> > +};
> > +
> > +static bool debug_tx_timeout = NV_DEBUG_TX_TIMEOUT_DISABLED;
> 
> Adding this enum is not useful.
> 
Sorry, If I may have not checked the code properly. I am a newbie here and I was hoping to start with checking coding styles.
I'll check again. Also there are a whole lot of warnings for line over 80 characters.

Regards,
Akshay